Summary:	An implementation of the Scheme programming language
Name:		umb-scheme
Version:	3.2
Release: 17mdk
License:	GPL
Group:		Development/Other

Source:		ftp://ftp.cs.umb.edu/pub/scheme/umb-scheme-3.2.tar.bz2
Source1: http://swissnet.ai.mit.edu/ftpdir/scm/slib2c8.zip
Source2: slibcat
Patch0:		umb-scheme-3.2-misc.patch.bz2
Patch1:		umb-scheme-3.2-texinfo.patch.bz2
Patch2:		umb-scheme-3.2-config.patch.bz2
Patch3:		umb-scheme-3.2-man.patch.bz2
Patch4: umb-scheme-3.2-chapter.patch.bz2
Patch5: umb-scheme-3.2-slib2c7.patch.bz2
Patch6: umb-scheme-3.2-share.patch.bz2
Patch100: umb-scheme-3.2-config_mdk.patch.bz2
BuildRoot:	%{_tmppath}/%name-%version-%release-root
BuildRequires:	texinfo

%description
UMB Scheme is a public domain implementation of the Scheme programming
language.  Scheme is a statically scoped and properly tail-recursive
dialect of the Lisp programming language, designed with clear and
simple semantics and a minimal number of ways to form expressions.

Install the umb-scheme package if you need an implementation of the
Scheme programming language.

%prep

%setup -q -n scheme-3.2
rm -fr slib
unzip -q -o %{SOURCE1}
%patch0 -p1 -b .misc
%patch1 -p1 -b .texinf
%patch2 -p1 -b .conf
%patch3 -p1 -b .man
%patch4 -p1 -b .chapter
%patch5 -p1 -b .slib
%patch6 -p1 -b .share


%build
%make
makeinfo scheme.texinfo

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_infodir},%{_datadir}/umb-scheme,%{_mandir}/man1}

install -s -m755 scheme %buildroot/%_bindir/umb-scheme
install -m755 scheme.1 %buildroot/%_mandir/man1/umb-scheme.1
# from RedHat
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/umb-scheme/slibcat

cp -r slib %buildroot/%_datadir/umb-scheme
#find slib | cpio -pdm $RPM_BUILD_ROOT%{_datadir}/umb-scheme

install -m644 prelude.scheme %buildroot/%_datadir/umb-scheme
install -m644 SLIB-for-umb-scheme.init %buildroot/%_datadir/umb-scheme

install -m644 scheme.info %buildroot/%_infodir/umb-scheme.info

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc slib/ANNOUNCE slib/FAQ slib/README
%{_mandir}/man1/umb-scheme.1.bz2
%{_infodir}/umb-scheme.info.bz2
%attr(0755,root,root) %{_bindir}/umb-scheme
%attr(0755,root,root) %dir %{_datadir}/umb-scheme
%attr(0644,root,root) %{_datadir}/umb-scheme/prelude.scheme
%attr(0644,root,root) %{_datadir}/umb-scheme/slibcat
%attr(0755,root,root) %dir %{_datadir}/umb-scheme/slib
%attr(0644,root,root) %{_datadir}/umb-scheme/slib/*



%changelog
* Thu May 31 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 3.2-17mdk
- updates and additional sources taken from RedHat 
  (mainly slib, required for gnucash 1.5.97)
- changed libdir to datadir for umb-scheme; changed conf patch accordingly but 
  left the mdk version in case we need to switch back at a later date
- updated files list and attributes
- added extensions to patched files
- patch7 for chapter tag in texinfo

* Tue Jan 16 2001 David BAUDENS <baudens@mandrakesoft.com> 3.2-16mdk
- Fix %%post and %%preun - Thanks to Quel Qun

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 3.2-15mdk
- BuildRequires: texinfo
- Spec clean up

* Wed Aug 23 2000  Etienne Faure <etienne@mandrakesoft.com> 3.2-14mdk
- rebuild using _docdir and _mandir macros

* Tue Mar 28 2000 Enzo Maggi <enzo@mandrakesoft.com> 3.2-13mdk
- Changed group, packager

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build

* Mon Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- bzip man/info's 

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adatations.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- install-info

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
